tasks:
  - name: home
    init: |
      echo "👋 installing gvm" 
      bash < <(curl -s -S -L https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer)
      source /home/gitpod/.gvm/scripts/gvm
      echo "👋 installing go 1.16" 
      gvm install go1.16 -B
      gvm use go1.16
      echo "👋 get go dependencies"
      go get -v -t -d ./...

      echo "👋 installing tinygo 0.19.0"
      wget https://github.com/tinygo-org/tinygo/releases/download/v0.19.0/tinygo_0.19.0_amd64.deb
      sudo dpkg -i tinygo_0.19.0_amd64.deb
      rm tinygo_0.19.0_amd64.deb
      export PATH=$PATH:/usr/local/tinygo/bin
      tinygo version

      echo "👋 installing pm2" 
      npm install pm2 -g

      echo "👋 install nodejs dependencies" 
      npm install

      echo "👋 installing redis" 
      sudo apt-get update
      sudo apt-get install -y redis-server
      sudo rm -rf /var/lib/apt/lists/* 

      gp url 8080
      
      gp sync-done prerequisites

  - name: pm2-logs
    init: gp sync-await prerequisites
    command: |
      pm2 logs

  - name: term-1
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.gvm/scripts/gvm
      gvm use go1.16


  - name: term-2
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.gvm/scripts/gvm
      gvm use go1.16


ports:
  - port: 8080 # gp url 8080
    visibility: public
    
vscode:
  extensions:
    - golang.go
    - wayou.vscode-todo-highlight
    - coenraads.bracket-pair-colorizer-2
    - pkief.material-icon-theme
